From: <a href="/blend/av.cgi?id=1">Kirk, Blender-Keeper</a><BR>
Date: 3 June 2013<P>

Yeah, I didn't want it to be a radical change, like using FB to signup or anything... just making it easier to spread the word and encourage people coming to check stuff out on the site.
<HR>
From: <a href="/blend/av.cgi?id=2045">Ravenheart</a><BR>
Date: 3 June 2013<P>

Congrats to all the front-pagers of the new Blender! I love reading all the submissions. I feel a bit sad that I didn't contribute this past month. I feel like the parade went by and I'm left behind, sweeping the street...
<HR>
From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 3 June 2013<P>

Kirk, thank you for the pick! Must explore the idea more - wrote the last few pieces after stopping writing for a while. <BR>
Loving the front page and the rise in submissions last month. <BR>
I think the FB option you've included is great, not too big a change!
<HR>